$(function(){
$("#chart").dxChart({
seriesSelectionMode: "multiple",
dataSource: dataSource,
commonSeriesSettings: {
argumentField: "year",
type: "stackedarea"
},
commonAxisSettings: {
valueMarginsEnabled: false
},
argumentAxis: {
type: "discrete"
},
valueAxis: {
label: {
format: {
type: "percent",
precision: 2
}
}
},
series: [
{ valueField: "IE7", name: "Internet Explorer 7" },
{ valueField: "IE8", name: "Internet Explorer 8" },
{ valueField: "IE9", name: "Internet Explorer 9" },
{ valueField: "IE10", name: "Internet Explorer 10" }
],
title: {
text: "Internet Explorer Statistics"
},
"export": {
enabled: true
},
legend: {
verticalAlignment: "bottom",
horizontalAlignment: "center"
},
onSeriesClick: function(e) {
var series = e.target;
if(series.isSelected()) {
series.clearSelection();
} else {
series.select();
}
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/19.2.4/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
var dataSource = [{
year: 2006,
IE7: 0.011
}, {
year: 2007,
IE7: 0.192
}, {
year: 2008,
IE7: 0.265
}, {
year: 2009,
IE7: 0.213,
IE8: 0.052
}, {
year: 2010,
IE7: 0.091,
IE8: 0.160
}, {
year: 2011,
IE7: 0.053,
IE8: 0.141,
IE9: 0.031
}, {
year: 2012,
IE7: 0.021,
IE8: 0.088,
IE9: 0.065,
IE10: 0.001
}, {
year: 2013,
IE7: 0.008,
IE8: 0.052,
IE9: 0.039,
IE10: 0.026
}];

import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
CommonAxisSettings,
ArgumentAxis,
ValueAxis,
Label,
Format,
Legend,
Export,
} from 'devextreme-react/chart';
import { versionSources, statisticsData } from './data.js';
class App extends React.Component {
render() {
return (
<Chart
id="chart"
dataSource={statisticsData}
seriesSelectionMode="multiple"
onSeriesClick={onSeriesClick}
title="Internet Explorer Statistics"
>
<CommonSeriesSettings
argumentField="year"
type="stackedarea"
/>
{
versionSources.map(({ value, name }) => <Series
key={value}
valueField={value}
name={name} />)
}
<CommonAxisSettings valueMarginsEnabled={false} />
<ArgumentAxis type="discrete" />
<ValueAxis>
<Label>
<Format type="percent" />
</Label>
</ValueAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center">
</Legend>
<Export enabled={true} />
</Chart>
);
}
}
function onSeriesClick({ target: series }) {
if (series.isSelected()) {
series.clearSelection();
} else {
series.select();
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
export const versionSources = [
{ value: 'IE7', name: 'Internet Explorer 7' },
{ value: 'IE8', name: 'Internet Explorer 8' },
{ value: 'IE9', name: 'Internet Explorer 9' },
{ value: 'IE10', name: 'Internet Explorer 10' },
];
export const statisticsData = [{
year: 2006,
IE7: 0.011,
}, {
year: 2007,
IE7: 0.192,
}, {
year: 2008,
IE7: 0.265,
}, {
year: 2009,
IE7: 0.213,
IE8: 0.052,
}, {
year: 2010,
IE7: 0.091,
IE8: 0.160,
}, {
year: 2011,
IE7: 0.053,
IE8: 0.141,
IE9: 0.031,
}, {
year: 2012,
IE7: 0.021,
IE8: 0.088,
IE9: 0.065,
IE10: 0.001,
}, {
year: 2013,
IE7: 0.008,
IE8: 0.052,
IE9: 0.039,
IE10: 0.026,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<DxChart
id="chart"
:data-source="statisticsData"
series-selection-mode="multiple"
title="Internet Explorer Statistics"
@series-click="onSeriesClick"
>
<DxCommonSeriesSettings
argument-field="year"
type="stackedarea"
/>
<DxSeries
v-for="version in versionSources"
:key="version.value"
:value-field="version.value"
:name="version.name"
/>
<DxCommonAxisSettings :value-margins-enabled="false"/>
<DxArgumentAxis type="discrete"/>
<DxValueAxis>
<DxLabel>
<DxFormat
:precision="2"
type="percent"
/>
</DxLabel>
</DxValueAxis>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
<DxExport :enabled="true"/>
</DxChart>
</template>
<script>
import DxChart, {
DxCommonSeriesSettings,
DxSeries,
DxCommonAxisSettings,
DxArgumentAxis,
DxValueAxis,
DxLabel,
DxFormat,
DxLegend,
DxExport
} from 'devextreme-vue/chart';
import { versionSources, statisticsData } from './data.js';
export default {
components: {
DxChart,
DxCommonSeriesSettings,
DxSeries,
DxCommonAxisSettings,
DxArgumentAxis,
DxValueAxis,
DxLabel,
DxFormat,
DxLegend,
DxExport
},
data() {
return {
versionSources,
statisticsData
};
},
methods: {
onSeriesClick({ target: series }) {
if (series.isSelected()) {
series.clearSelection();
} else {
series.select();
}
}
}
};
</script>
<style>
#chart {
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const versionSources = [
{ value: 'IE7', name: 'Internet Explorer 7' },
{ value: 'IE8', name: 'Internet Explorer 8' },
{ value: 'IE9', name: 'Internet Explorer 9' },
{ value: 'IE10', name: 'Internet Explorer 10' }
];
export const statisticsData = [{
year: 2006,
IE7: 0.011
}, {
year: 2007,
IE7: 0.192
}, {
year: 2008,
IE7: 0.265
}, {
year: 2009,
IE7: 0.213,
IE8: 0.052
}, {
year: 2010,
IE7: 0.091,
IE8: 0.160
}, {
year: 2011,
IE7: 0.053,
IE8: 0.141,
IE9: 0.031
}, {
year: 2012,
IE7: 0.021,
IE8: 0.088,
IE9: 0.065,
IE10: 0.001
}, {
year: 2013,
IE7: 0.008,
IE8: 0.052,
IE9: 0.039,
IE10: 0.026
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'devextreme-vue': 'npm:devextreme-vue@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

<dx-chart
id="chart"
[dataSource]="statisticsData"
seriesSelectionMode="multiple"
title="Internet Explorer Statistics"
(onSeriesClick)="seriesClick($event)"
>
<dxi-series valueField="IE7" name="Internet Explorer 7"></dxi-series>
<dxi-series valueField="IE8" name="Internet Explorer 8"></dxi-series>
<dxi-series valueField="IE9" name="Internet Explorer 9"></dxi-series>
<dxi-series valueField="IE10" name="Internet Explorer 10"></dxi-series>
<dxo-common-series-settings argumentField="year" type="stackedarea">
</dxo-common-series-settings>
<dxo-common-axis-settings [valueMarginsEnabled]="false">
</dxo-common-axis-settings>
<dxo-argument-axis type="discrete"></dxo-argument-axis>
<dxi-value-axis>
<dxo-label>
<dxo-format type="percent" [precision]="2"> </dxo-format>
</dxo-label>
</dxi-value-axis>
<dxo-legend verticalAlignment="bottom" horizontalAlignment="center">
</dxo-legend>
<dxo-export [enabled]="true"></dxo-export>
</dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule } from 'devextreme-angular';
import { Service, Statistics } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
statisticsData: Statistics[];
constructor(service: Service) {
this.statisticsData = service.getStatisticsData();
}
seriesClick(e: any) {
const series = e.target;
if (series.isSelected()) {
series.clearSelection();
} else {
series.select();
}
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
import { Injectable } from '@angular/core';
export class Statistics {
year: number;
IE7: number;
IE8?: number;
IE9?: number;
IE10?: number;
}
const statisticsData: Statistics[] = [{
year: 2006,
IE7: 0.011,
}, {
year: 2007,
IE7: 0.192,
}, {
year: 2008,
IE7: 0.265,
}, {
year: 2009,
IE7: 0.213,
IE8: 0.052,
}, {
year: 2010,
IE7: 0.091,
IE8: 0.160,
}, {
year: 2011,
IE7: 0.053,
IE8: 0.141,
IE9: 0.031,
}, {
year: 2012,
IE7: 0.021,
IE8: 0.088,
IE9: 0.065,
IE10: 0.001,
}, {
year: 2013,
IE7: 0.008,
IE8: 0.052,
IE9: 0.039,
IE10: 0.026,
}];
@Injectable()
export class Service {
getStatisticsData(): Statistics[] {
return statisticsData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.1.4/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32',
'devextreme-angular': 'npm:devextreme-angular@22.1.4',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.1.4/*/package.json',
'npm:devextreme-angular@22.1.4/ui/*/package.json',
'npm:devextreme-angular@22.1.4/package.json',
'npm:devexpress-diagram@2.1.63/package.json',
'npm:devexpress-gantt@4.1.32/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>